Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Botan::TLS::Session_Manager Member List

This is the complete list of members for Botan::TLS::Session_Manager, including all inherited members.

load_from_server_info(const Server_Information &info, Session &session)=0 | Botan::TLS::Session_Manager | pure virtual
load_from_session_id(const std::vector< uint8_t > &session_id, Session &session)=0 | Botan::TLS::Session_Manager | pure virtual
remove_all()=0 | Botan::TLS::Session_Manager | pure virtual
remove_entry(const std::vector< uint8_t > &session_id)=0 | Botan::TLS::Session_Manager | pure virtual
save(const Session &session)=0 | Botan::TLS::Session_Manager | pure virtual
session_lifetime() const =0 | Botan::TLS::Session_Manager | pure virtual
~Session_Manager() | Botan::TLS::Session_Manager | inline virtual